require 'login'

class LoginProducer < Web::Producer
  set_erb('login.erb')
  def initialize(session)
    super(session)
    @status = nil
  end
  def login(session, username, password)
    begin
      session.login(username, password)
      @status = :succ
    rescue
      @status = :fail
    end
  end
  def logout(session)
    session.login('guest', 'guest') rescue nil
    @status = nil
  end
  def show
    @status = :show
  end
  def do_login(req, params)
    username, = params['username']
    password, = params['password']
    login(@session, username, password)
  end
  def do_logout(req, params)
    logout(@session)
  end
  def do_show(req, params)
    show
  end
end

